require './gphys_const_v1.2'
require "numru/ggraph"
include NumRu

dir1 = './data_dcpam1/util_s2p-2015-08-28/out'
dir2 = './data_dcpam2/util_s2p-2015-08-28/out'

print "Directory 1 : ", dir1, "\n"
print "Directory 2 : ", dir2, "\n"

daysOfYear = 0
DaysOfMonth.each do |i|
  daysOfYear += i
end
p 'DEBUG: days in a year: ' + daysOfYear.to_s

figdir = 'figs'
#Dir::mkdir( figdir )

vnames = ['Temp', 'U', 'MSF', 'MSFlog', 'QH2OVap', 'QH2OLiq', 'QH2OSol', 'RH', 'ANGMOM', 'DustDensScledOptDep', 'QDust', 'MarsH2OCloudRadius']
#vnames = ['MarsH2OCloudRadius']

iyrs = 3
iyre = 3
iyrs = 1
iyre = 1

for ivar in 0..(vnames.length-1)
  for imon in 1..12
    p vnames[ivar] + ' at Year: ' + iyrs.to_s + ' to ' + iyre.to_s + ', Month: ' + imon.to_s

    system('ruby draw_3D_zm_log_diff.rb ' + dir1 + ' ' + dir2 + ' ' + vnames[ivar] + ' ' + iyrs.to_s + ' ' + iyre.to_s + ' ' + imon.to_s)

#    system("pstoimg -type gif -flip r270 dcl.pdf")
#    com = sprintf( "mv dcl.gif " + figdir + "/dcl_zm_log_"+vnames[ivar]+"_mon%0#{2}d.gif", imon )
#    system(com)
    com = sprintf( "mv dcl.pdf " + figdir + "/dcl_zm_log_diff_"+vnames[ivar]+"_mon%0#{2}d.pdf", imon )
    system(com)
  end
end
